aboutsummaryrefslogtreecommitdiff
path: root/utils/azure_ip_addresses_download.sh
diff options
context:
space:
mode:
authorToni <matzeton@googlemail.com>2022-04-22 13:27:41 +0200
committerGitHub <noreply@github.com>2022-04-22 13:27:41 +0200
commit824c343602da5844f153049053664b6de84ec287 (patch)
treec8dd27d094884959271f5bfea5cf008703950084 /utils/azure_ip_addresses_download.sh
parent42909673ced0b5431c233b47d40ca759c3415b2a (diff)
Updated `utils/whatsapp_ip_addresses_download.sh' to scrape the required IP addresses/ranges. (#1524)
* Replaced return statements in `utils/*.sh' with exit's (such scripts should never source'd) * Ran `utils/update_every_lists.sh' Signed-off-by: lns <matzeton@googlemail.com>
Diffstat (limited to 'utils/azure_ip_addresses_download.sh')
-rwxr-xr-xutils/azure_ip_addresses_download.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/utils/azure_ip_addresses_download.sh b/utils/azure_ip_addresses_download.sh
index 822871b7c..9c3cf9d04 100755
--- a/utils/azure_ip_addresses_download.sh
+++ b/utils/azure_ip_addresses_download.sh
@@ -14,21 +14,21 @@ echo "(1) Downloading file... ${LINK_ORIGIN}"
http_response=$(curl -s -o ${LINK_TMP} -w "%{http_code}" ${LINK_ORIGIN})
if [ "${http_response}" != "200" ]; then
echo "Error $http_response: you probably need to update the link origin url!"
- return 1
+ exit 1
fi
ORIGIN="$(grep -E 'ServiceTags_Public_[[:digit:]]+.json' ${LINK_TMP} | grep -o -E 'href=\"[^"]+' | sed 's/href="//' | uniq)"
rm -f ${LINK_TMP}
if [ -z "${ORIGIN}" ]; then
echo "Error ${LINK_ORIGIN} does not contain the url format!"
- return 1
+ exit 1
fi
echo "(2) Downloading file... ${ORIGIN}"
http_response=$(curl -s -o $TMP -w "%{http_code}" ${ORIGIN})
if [ "${http_response}" != "200" ]; then
echo "Error $http_response: you probably need to update the list url!"
- return 1
+ exit 1
fi
echo "(3) Processing IP addresses..."
@@ -38,4 +38,4 @@ tr -d '\r' < $TMP | grep / | tr -d '"' | tr -d " " | tr -d "," | grep -v : > $LI
rm -f $TMP $LIST
echo "(4) Microsoft Azure IPs are available in $DEST"
-return 0
+exit 0